
package org.mule.modules.validation.adapters;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>ValidationModuleCapabilitiesAdapter</code> is a wrapper around {@link org.mule.modules.validation.ValidationModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class ValidationModuleCapabilitiesAdapter
    extends org.mule.modules.validation.ValidationModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
